Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSecurityToken`, `ClientWireProtocol.ClientConnectionSecurityToken.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientid()`
`string clientid = 2;`
`ByteString`
`getClientidBytes()`
`string clientid = 2;`
`String`
`getDatabase()`
`string database = 1;`
`ByteString`
`getDatabaseBytes()`
`string database = 1;`
`boolean`
`getForce()`
`bool force = 10;`
`String`
`getIssuerFingerprint()`
`string issuerFingerprint = 9;`
`ByteString`
`getIssuerFingerprintBytes()`
`string issuerFingerprint = 9;`
`int`
`getMajorClientVersion()`
`int32 majorClientVersion = 4;`
`int`
`getMinorClientVersion()`
`int32 minorClientVersion = 5;`
`String`
`getPatchClientVersion()`
note the out of order field numbering
`ByteString`
`getPatchClientVersionBytes()`
note the out of order field numbering
`String`
`getSecurityToken()`
`string securityToken = 7;`
`ByteString`
`getSecurityTokenBytes()`
`string securityToken = 7;`
`String`
`getSessionID()`
`string sessionID = 6;`
`ByteString`
`getSessionIDBytes()`
`string sessionID = 6;`
`boolean`
`getSupportsSortedParallelTCPStreams()`
True if the client supports parallel
`String`
`getTokenSignature()`
`string tokenSignature = 8;`
`ByteString`
`getTokenSignatureBytes()`
`string tokenSignature = 8;`
`String`
`getVersion()`
`string version = 3;`
`ByteString`
`getVersionBytes()`
`string version = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDatabase

String getDatabase()
`string database = 1;`

Returns:
  The database.

### getDatabaseBytes

ByteString getDatabaseBytes()
`string database = 1;`

Returns:
  The bytes for database.

### getClientid

String getClientid()
`string clientid = 2;`

Returns:
  The clientid.

### getClientidBytes

ByteString getClientidBytes()
`string clientid = 2;`

Returns:
  The bytes for clientid.

### getVersion

String getVersion()
`string version = 3;`

Returns:
  The version.

### getVersionBytes

ByteString getVersionBytes()
`string version = 3;`

Returns:
  The bytes for version.

### getMajorClientVersion

int getMajorClientVersion()
`int32 majorClientVersion = 4;`

Returns:
  The majorClientVersion.

### getMinorClientVersion

int getMinorClientVersion()
`int32 minorClientVersion = 5;`

Returns:
  The minorClientVersion.

### getPatchClientVersion

String getPatchClientVersion()

     note the out of order field numbering

`string patchClientVersion = 11;`

Returns:
  The patchClientVersion.

### getPatchClientVersionBytes

ByteString getPatchClientVersionBytes()

     note the out of order field numbering

`string patchClientVersion = 11;`

Returns:
  The bytes for patchClientVersion.

### getSessionID

String getSessionID()
`string sessionID = 6;`

Returns:
  The sessionID.

### getSessionIDBytes

ByteString getSessionIDBytes()
`string sessionID = 6;`

Returns:
  The bytes for sessionID.

### getSecurityToken

String getSecurityToken()
`string securityToken = 7;`

Returns:
  The securityToken.

### getSecurityTokenBytes

ByteString getSecurityTokenBytes()
`string securityToken = 7;`

Returns:
  The bytes for securityToken.

### getTokenSignature

String getTokenSignature()
`string tokenSignature = 8;`

Returns:
  The tokenSignature.

### getTokenSignatureBytes

ByteString getTokenSignatureBytes()
`string tokenSignature = 8;`

Returns:
  The bytes for tokenSignature.

### getIssuerFingerprint

String getIssuerFingerprint()
`string issuerFingerprint = 9;`

Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 9;`

Returns:
  The bytes for issuerFingerprint.

### getForce

boolean getForce()
`bool force = 10;`

Returns:
  The force.

### getSupportsSortedParallelTCPStreams

boolean getSupportsSortedParallelTCPStreams()

     True if the client supports parallel

`bool supportsSortedParallelTCPStreams = 12;`

Returns:
  The supportsSortedParallelTCPStreams.